# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/pwm/nxp,lpc1850-sct-pwm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP LPC18xx State Configurable Timer

maintainers:
  - Frank Li <Frank.Li@nxp.com>

properties:
  compatible:
    const: nxp,lpc1850-sct-pwm

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-names:
    items:
      - const: pwm

  '#pwm-cells':
    const: 3

  resets:
    maxItems: 1

required:
  - compatible
  - reg
  - clocks
  - clock-names
  - '#pwm-cells'

allOf:
  - $ref: pwm.yaml#

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/clock/lpc18xx-ccu.h>

    pwm@40000000 {
        compatible = "nxp,lpc1850-sct-pwm";
        reg = <0x40000000 0x1000>;
        clocks = <&ccu1 CLK_CPU_SCT>;
        clock-names = "pwm";
        #pwm-cells = <3>;
    };
